<div class="content">
  <h2>Procurar um jogo</h2>
  <table mat-table [dataSource]="this.game.rooms" class="mat-elevation-z8" style="width: 90%;">

    <!--- Note that these columns can be defined in any order.
          The actual rendered columns are set as a property on the row definition" -->

    <!-- Position Column -->
    <ng-container matColumnDef="sala">
      <th mat-header-cell *matHeaderCellDef> Sala </th>
      <td mat-cell *matCellDef="let element"> {{element.room}} </td>
    </ng-container>

    <!-- Name Column -->
    <ng-container matColumnDef="qt">
      <th mat-header-cell *matHeaderCellDef> Qt. de jogadores </th>
      <td mat-cell *matCellDef="let element"> {{element.number_of_participants}} </td>
    </ng-container>

    <!-- Name Column -->
    <ng-container matColumnDef="entrar">
      <th mat-header-cell *matHeaderCellDef>  </th>
      <td mat-cell *matCellDef="let element">
        <button mat-raised-button color="accent" (click)="entrarSala(element.room)">Entrar</button>
      </td>
    </ng-container>


    <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
    <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
  </table>
</div>
